# NavigationManager | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class NavigationManager

Manages navigation and menus tabs within the setting menu.

- Defined in src/ui/settings/navigationMenu.ts:15

##### Index

### Constructors

constructor

### Properties

labels
modes
navigationMenus
selectedMode

### Methods

clearNavigationMenus
navigate
reset
updateIcons
updateNavigationMenus
getInstance

## Constructors

### constructor

- new NavigationManager(): NavigationManager

  Creates an instance of NavigationManager. To create a new tab in the menu, add the mode to the modes array and the label to the labels array. and instantiate a new NavigationMenu instance in your handler like: this.navigationContainer = new NavigationMenu(0, 0);

  #### Returns NavigationManager

  - Defined in src/ui/settings/navigationMenu.ts:28

## Properties

### labels

labels: string[]

- Defined in src/ui/settings/navigationMenu.ts:20

### modes

modes: Mode []

- Defined in src/ui/settings/navigationMenu.ts:17

### navigationMenus

navigationMenus: default [] = ...

- Defined in src/ui/settings/navigationMenu.ts:19

### selectedMode

selectedMode: Mode = Mode.SETTINGS

- Defined in src/ui/settings/navigationMenu.ts:18

## Methods

### clearNavigationMenus

- clearNavigationMenus(): void

  Removes menus from the manager in preparation for reset

  #### Returns void

  - Defined in src/ui/settings/navigationMenu.ts:101

### navigate

- navigate(direction: any): void

  Navigates modes based on given direction

  #### Parameters

  - direction: any

    LEFT or RIGHT

  #### Returns void

  - Defined in src/ui/settings/navigationMenu.ts:65

### reset

- reset(): void

  #### Returns void

  - Defined in src/ui/settings/navigationMenu.ts:45

### updateIcons

- updateIcons(): void

  Updates icons for all navigation menus.

  #### Returns void

  - Defined in src/ui/settings/navigationMenu.ts:92

### updateNavigationMenus

- updateNavigationMenus(): void

  Updates all navigation menus.

  #### Returns void

  - Defined in src/ui/settings/navigationMenu.ts:83

### `Static` getInstance

- getInstance(): NavigationManager

  Gets the singleton instance of the NavigationManager.

  #### Returns NavigationManager

  The singleton instance of NavigationManager.

  - Defined in src/ui/settings/navigationMenu.ts:54